Skip to content

List all users (super admin only)

GET
/admin/users
curl --request GET \
--url 'https://example.com/api/admin/users?page=1' \
--header 'Authorization: Bearer <token>'
page
integer
default: 1 >= 1

All users

Media type application/json
object
users
required
Array<object>
object
id
required
string format: uuid
email
string format: email
created_at
required
string format: date-time
system_role
required
string
Allowed values: user superadmin
page
required
integer
hasMore
required
boolean

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number